TANH(3)

NAME
tanh, tanhf, tanhl - hyperbolic tangent function

SYNOPSIS
#include <math.h>

double tanh(double x);
float tanhf(float x);
long double tanhl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

tanhf(), tanhl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The tanh() function returns the hyperbolic tangent of x, which is defined mathematically as:
    tanh(x) = sinh(x) / cosh(x)

RETURN VALUE
On success, these functions return the hyperbolic tangent of x. If x is a NaN, a NaN is returned. If x is +0 (-0), +0 (-0) is returned. If x is positive infinity (negative infinity), +1 (-1) is returned.

ERRORS
No errors occur.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
acosh(3), asinh(3), atanh(3), cosh(3), ctanh(3), sinh(3)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.